- Main Page
- Related Pages
- Modules
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Data Fields
dns_any Union Reference

## Data Fields
struct dns_a | a
struct dns_aaaa | aaaa
struct dns_mx | mx
struct dns_ns | ns
struct dns_cname | cname
struct dns_soa | soa
struct dns_ptr | ptr
struct dns_srv | srv
struct dns_opt | opt
struct dns_sshfp | sshfp
struct dns_txt txt spf | rdata